<?php

// Iniciamos la conexión a la Base de Datos
$con = mysqli_connect('localhost','root','','pruebas');
// Le pedimos que imprima los caracteres especiales
$con->query("SET NAMES 'utf8'");

// Si hay error que nos arreoje un mensaje
if ($con->connect_error) {
	die('Error en la Conexión a la Base de Datos : ('. $con->connect_errno .') '. $con->connect_error);
}

// Seleccionamos los registros
$results = $con->query("SELECT * from t_persona");

// Creamos el array postres
$rows['pruebas'] = array();

// Recorremos los registros de la Base de Datos para mostrarlos
while($r = $results->fetch_object()) {
    array_push($rows['pruebas'], $r);
}

// Con solo json_encode imprimimos los registros, pero le agregamos 128 que es el valor numérico de la extensión JSON_PRETTY_PRINT para mostrar el array mas ordenado en pantalla
$mysql_json = json_encode($rows, 128);

header('Content-Type: application/json;charset=utf-8');
echo json_encode($rows, 128);

// Con las etiquetas <pre></pre> damos saltos de linea a nuestro array
//print("<pre>".$mysql_json."</pre>");


?>
